GTK2 support?

Sep 28, 2013 at 7:27 PM
I was going to install pcsxr just now when I realised that it depends on GTK3. I stopped.

I've made a point of installing gtk2-built versions of software where possible (sakura, deadbeef, etc.), because gtk3 has caused me nothing but problems in the past. Not least that it completely breaks your themes every other version. I think it's telling that the Gimp ToolKit hasn't even "upgraded" to gtk3...

Anyway, is there a way to build pcsxr to use gtk2 instead? Or failing that, has there been any discussion at all of developing a Qt interface?

The PSX emulation scene on Linux is pretty dire currently, epsxe and pSX both being closed source (the former being a bit of a plugin nightmare; the latter not working at all nowadays thanks to audio segfaults). And mednafen-psx is still practically pre-pre-alpha.

Best regards,
Coordinator
Sep 28, 2013 at 8:40 PM
Install gtk3 or use the old version of pcsxr.